package com.ruiwenliu.wrapper.util;

import android.content.Context;

import com.ruiwenliu.wrapper.MessageEventLogout;
import com.rv.component.utils.Cookie;
import com.rv.component.utils.RvCache;
import com.yuyife.okgo.OkGoUtil;

import org.greenrobot.eventbus.EventBus;

public class AppUtils {

    public static void logout(Context context) {
        UtilsManager.getInstance(context).clearShareData("city_json");
        UtilsManager.getInstance(context).setShNull();
        RvCache.getInstance(context).clear();
        Cookie.clear(context);
        OkGoUtil.clearToken();
        EventBus.getDefault().post(new MessageEventLogout());
    }
}
